## AnjutaFileList AnjutaFileList |

## Functions

GtkWidget * | anjuta_file_list_new ()
GList * | anjuta_file_list_get_paths ()
void | anjuta_file_list_set_relative_path ()
void | anjuta_file_list_clear ()

## Properties

char * | relative-path | Read / Write
gboolean | show-add-button | Read / Write

## Types and Values

| AnjutaFileListPriv

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── AnjutaFileList

## Description

## Functions

### anjuta_file_list_new ()

    GtkWidget *
    anjuta_file_list_new (void);

### anjuta_file_list_get_paths ()

    GList *
    anjuta_file_list_get_paths (AnjutaFileList *self);

### anjuta_file_list_set_relative_path ()

    void
    anjuta_file_list_set_relative_path (AnjutaFileList *self,
                                        const gchar *path);

### anjuta_file_list_clear ()

    void
    anjuta_file_list_clear (AnjutaFileList *self);

## Types and Values

### AnjutaFileListPriv

    typedef struct _AnjutaFileListPriv AnjutaFileListPriv;

## Property Details

### The `“relative-path”` property

      “relative-path”            char *

Path that all files in the list should be relative to.

Owner: AnjutaFileList

Flags: Read / Write

Default value: ""

### The `“show-add-button”` property

      “show-add-button”          gboolean

Display an Add button.

Owner: AnjutaFileList

Flags: Read / Write

Default value: FALSE